//
// Activity.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation


public struct Activity: Codable { 


    public enum Status: String, Codable, CaseIterable {
        case expected = "expected"
        case planned = "planned"
        case finished = "finished"
        case cancelled = "cancelled"
    }
    public enum Ownership: String, Codable, CaseIterable {
        case currentuser = "currentUser"
        case otheruser = "otherUser"
    }
    public var practitioner: ActivityPractitioner?
    public var location: ActivityLocation?
    /** scheduledString from https://www.nspop.dk/display/public/web/GCP+-+Guide+til+anvendere */
    public var scheduledString: String?
    public var plannedTime: ActivityPlannedTime?
    public var status: Status
    public var ownership: Ownership?
    public var title: String
    public var description: String?
    /** A pointer to whatever object this activity is related to */
    public var reference: String?
    public var code: Code?
    public var kind: String?
    public var id: String?
    /** A unique pointer to the careplan document from which this appointment origins */
    public var careplanId: String?
    public var note: Note?
    public var observations: [Observation]?
    /** Since activities may or may not have an actual plannedTime on them, this field is a computed date based on either plannedTime or (gestationAge + date of last period on the data-card if that exists (if it does not we just use today as the start point)) */
    public var sortDate: Date?

    public init(practitioner: ActivityPractitioner?, location: ActivityLocation?, scheduledString: String?, plannedTime: ActivityPlannedTime?, status: Status, ownership: Ownership?, title: String, description: String?, reference: String?, code: Code?, kind: String?, id: String?, careplanId: String?, note: Note?, observations: [Observation]?, sortDate: Date?) {
        self.practitioner = practitioner
        self.location = location
        self.scheduledString = scheduledString
        self.plannedTime = plannedTime
        self.status = status
        self.ownership = ownership
        self.title = title
        self.description = description
        self.reference = reference
        self.code = code
        self.kind = kind
        self.id = id
        self.careplanId = careplanId
        self.note = note
        self.observations = observations
        self.sortDate = sortDate
    }

}
