//
// ExpectedDateOfDeliverySection.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation


public struct ExpectedDateOfDeliverySection: Codable { 


    public var modifiedTime: Date?
    public var author: HealthCareOrganization?
    public var dirty: Bool?
    public var expectedDateOfDeliveryFromLastPeriod: ExpectedDateOfDeliverySectionAllOfExpectedDateOfDeliveryFromLastPeriod?
    /** Computed conception date. Computed either from ultrasound gestation age or from last period. */
    public var offsetDate: Date?
    /** Computed date of delivery. Computed either from ultrasound gestation age or from last period. */
    public var dateOfDelivery: Date?
    /** Computed gestation age formatted as &#39;Weeks+Days&#39;. Computed from 273 days minus days to expectedDateOfDeliveryFromPrenatalUltrasoundScan if present. Otherwise computed from expectedDateOfDeliveryFromLastPeriod. */
    public var gestationAge: String?
    /** Computed trimester (i.e. monthsIntoPregnancy/3). */
    public var trimester: Int?
    /** Computed number of months into pregnanancy. Computed from expectedDateOfDeliveryFromPrenatalUtrasoundScan if presenent and expectedDateOfDeliveryFromLastPeriod otherwise. If both are null this wil be 0 */
    public var monthsIntoPregnancy: Double?
    /** Computed Gestation Week. Computed from gestationAge. &#39;17+6&#39; &#x3D; 18 and &#39;18+0&#39; &#x3D; 19 */
    public var week: Int?
    public var remarks: String?

    public init(modifiedTime: Date?, author: HealthCareOrganization?, dirty: Bool?, expectedDateOfDeliveryFromLastPeriod: ExpectedDateOfDeliverySectionAllOfExpectedDateOfDeliveryFromLastPeriod?, offsetDate: Date?, dateOfDelivery: Date?, gestationAge: String?, trimester: Int?, monthsIntoPregnancy: Double?, week: Int?, remarks: String?) {
        self.modifiedTime = modifiedTime
        self.author = author
        self.dirty = dirty
        self.expectedDateOfDeliveryFromLastPeriod = expectedDateOfDeliveryFromLastPeriod
        self.offsetDate = offsetDate
        self.dateOfDelivery = dateOfDelivery
        self.gestationAge = gestationAge
        self.trimester = trimester
        self.monthsIntoPregnancy = monthsIntoPregnancy
        self.week = week
        self.remarks = remarks
    }

}
