fastlane documentation
================
# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```
xcode-select --install
```

Install _fastlane_ using
```
[sudo] gem install fastlane -NV
```
or alternatively using `brew install fastlane`

# Available Actions
### tpa_projectenv
```
fastlane tpa_projectenv
```
"ProjectEnv" track on TPA
### tpa_internal_test
```
fastlane tpa_internal_test
```
"InternalTest" track on TPA
### tpa_test1
```
fastlane tpa_test1
```
"Test1" track on TPA
### tpa_test2
```
fastlane tpa_test2
```
"Test2" track on TPA
### app_store
```
fastlane app_store
```
Uploads "Release" build to App Store
### test_single
```
fastlane test_single
```
Run test on one device
### test_all
```
fastlane test_all
```
Generate test report
### generate_test_coverage
```
fastlane generate_test_coverage
```
Generate test coverage
### bump_release_version
```
fastlane bump_release_version
```
Bump version

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.
More information about fastlane can be found on [fastlane.tools](https://fastlane.tools).
The documentation of fastlane can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
